#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xf29aeb67, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xa39ab4e6, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x69853125, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xd617644e, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x4b5e645d, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x07a7d180, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x1ced0ca5, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x5c526a46, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x1e44ca90, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x3c44099f, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xae5ee5ba, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xbad8fd43, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x21bf505d, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xa5347371, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xa7ccb295, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x65d02f86, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xcd314f4a, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xc599f887, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x6e123616, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xb9fbaeff, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xbe15096f, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xb9aeb886, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xa8546e5e, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xa7eeec21, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x4fcea6f9, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x99fc3cff, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x69f6b9a0, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x236323a1, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xbd3d750c, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x3cee58bd, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xd4a2b36c, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x3a9a4ea9, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xab7e6fd4, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xc4b5ade8, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x1ef53065, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x5cede1de, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x86e2315d, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xe8a01547, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x4a65ad3c, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x9fa82ce2, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x95266355, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xf05110e7, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x9024110b, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x81375dbc, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xd67705b0, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x03c2b3b3, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xd68232ea, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xab1a28b4, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x252faffa, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xf8815ea5, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xa040f44e, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x28533386, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x248e5174, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x874e7cc9, "_gpl");
SYMBOL_CRC(cxl_memdev_setup_fw_upload, 0xb724fa52, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x4ef9b155, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x63698ab8, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x56d50657, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x51c41f90, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xc6f05edb, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x064a563b, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x518fb2e0, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x77675989, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xd978c4d5, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x1a153ea6, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x4e9ebb11, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x6b99d581, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xeb01a08c, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x2726a1b1, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xc741722e, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x40e07327, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xb09c5f58, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x5ab04ec1, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x4fd53154, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xdd8503b8, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x07471e62, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x92cd7ebd, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xa1041e4b, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x47585ea8, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xde9c9823, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x6a285344, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x044bf3b6, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x2856a086, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xab0336af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4eb82462, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfe8d0b41, "bpf_trace_run4" },
	{ 0x7b7f619, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe30259bf, "dev_set_name" },
	{ 0x51e71cee, "param_ops_ushort" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6139238, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x27c55f71, "cdev_device_del" },
	{ 0xc0b5b397, "bpf_trace_run6" },
	{ 0x311cac07, "pci_doe" },
	{ 0xe79f7b2a, "device_unregister" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe4772574, "trace_event_printf" },
	{ 0xf80e452f, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x68712d1a, "device_initialize" },
	{ 0xc7866db5, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x708a8d08, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7fd56942, "bpf_trace_run2" },
	{ 0x4c65cff7, "event_triggers_call" },
	{ 0xcbb43289, "devm_remove_action" },
	{ 0x7c743b61, "get_device" },
	{ 0xf31f4e, "__dynamic_dev_dbg" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb3bb9540, "dev_driver_string" },
	{ 0xf00a494f, "trace_event_buffer_commit" },
	{ 0x6f41cd7e, "pci_read_config_dword" },
	{ 0xbf7d92aa, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x9ee325f0, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x1a6b4d56, "put_device" },
	{ 0x35330067, "trace_event_ignore_this_pid" },
	{ 0x1f77f50e, "bus_for_each_dev" },
	{ 0x6079a640, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x55fdab01, "compat_ptr_ioctl" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2ce2385e, "perf_trace_run_bpf_submit" },
	{ 0xca6c3439, "sysfs_update_group" },
	{ 0x3e27d07d, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xe33bdb1d, "devm_kfree" },
	{ 0xe26b1185, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x505f1198, "debugfs_create_bool" },
	{ 0x6595c3f8, "bus_find_device" },
	{ 0xdfb061cd, "device_add" },
	{ 0xace1f44f, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x3291ea9c, "noop_llseek" },
	{ 0xef710de, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd7faf201, "kernfs_find_and_get_ns" },
	{ 0xca75fd8c, "debugfs_remove" },
	{ 0x406029b1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xabc21b82, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xb6b6dc7a, "driver_unregister" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3cbb2cb2, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x841d5644, "devm_release_action" },
	{ 0xe7a4a90d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x80cc906b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6f953357, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x36f0e094, "bpf_trace_run3" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x5d536b2e, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8b8e3ec5, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x72b5a86a, "kernfs_put" },
	{ 0xe995b27e, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0xf794d9c7, "device_match_name" },
	{ 0xf6906d9e, "pci_walk_bus" },
	{ 0xcbc90b37, "dev_err_probe" },
	{ 0x29c93a4d, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xa40976a9, "__devm_add_action" },
	{ 0x939e4c26, "pci_find_dvsec_capability" },
	{ 0x516fafb9, "device_find_child_by_name" },
	{ 0x9d1b6182, "device_release_driver" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6c7511c3, "pci_write_config_word" },
	{ 0xb72c0750, "debugfs_create_dir" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xe7050b3a, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdcd1c236, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf4dc6b6f, "pci_bus_type" },
	{ 0xb4d0b508, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x82caba2, "bus_register" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C0B0F754F888D205F818DF");
MODULE_INFO(rhelversion, "9.6");
